#ifndef TASRYOKO_GAME_HPP
#define TASRYOKO_GAME_HPP

#include <string>

#define STRICT
#include <windows.h>

#include "types.hpp"

namespace Game{
    bool init();
    bool fin();

    bool isHooked();
    bool setHook();
    bool unsetHook();

    bool readMem(ulong addr, char* buf, ulong size);
    bool writeMem(ulong addr, const char* buf, ulong size);

    void sendKeyPress(uint key);
    void sendKeyRelease(uint key);
    void sendMouseClickL(uint x, uint y);
    void sendMouseClickR(uint x, uint y);

    const std::string& getBaseDir();
    const std::string& getMovieDir();
}

#endif /* TASRYOKO_GAME_HPP */
