/**
 * dbghelp.dll を使うためのインターフェース
 * (MinGWには dbghelp.h およびインポートライブラリが存在しない)
 *
 * dbghelp.dll を動的にロードするので、初期化/終了処理が必要。
 */

#ifndef TASRYOKO_DBGHELP_HPP
#define TASRYOKO_DBGHELP_HPP

#define STRICT
#include <windows.h>

namespace dbghelp{
    bool init();
    bool fin();

    PVOID ImageDirectoryEntryToData(PVOID, BOOLEAN, USHORT, PULONG);
}

#endif /* TASRYOKO_DBGHELP_HPP */
