#ifndef TASRYOKO_THROTTLE_HPP
#define TASRYOKO_THROTTLE_HPP

#include "types.hpp"

namespace Throttle{
    const int FRAME_TIME = 16;

    ulong getUptime();
    void frameadv();
    void waitBusy(ulong ms); // 高精度、高負荷
    void waitSleep(ulong ms); // 低精度、低負荷

    void waitTGT(int n);

    DWORD WINAPI my_timeGetTime();
}

#endif /* TASRYOKO_THROTTLE_HPP */
